Skip to main content
POST
/
v1
/
devices
/
hvac
/
{id}
/
thermostat_behavior
/
record
record thermostat behavior
curl --request POST \
  --url https://api.example.com/v1/devices/hvac/{id}/thermostat_behavior/record \
  --header 'Content-Type: application/json' \
  --header 'x-ws-api-key: <api-key>' \
  --data '
{
  "temperature": [
    71,
    71.5,
    72
  ],
  "timestamp": [
    "2025-06-02T12:00:00.000Z",
    "2025-06-02T12:15:00.000Z",
    "2025-06-02T12:30:00.000Z"
  ]
}
'
import requests

url = "https://api.example.com/v1/devices/hvac/{id}/thermostat_behavior/record"

payload = {
"temperature": [71, 71.5, 72],
"timestamp": ["2025-06-02T12:00:00.000Z", "2025-06-02T12:15:00.000Z", "2025-06-02T12:30:00.000Z"]
}
headers = {
"x-ws-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-ws-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
temperature: [71, 71.5, 72],
timestamp: [
'2025-06-02T12:00:00.000Z',
'2025-06-02T12:15:00.000Z',
'2025-06-02T12:30:00.000Z'
]
})
};

fetch('https://api.example.com/v1/devices/hvac/{id}/thermostat_behavior/record', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-ws-api-key
string
header
required

WattShift API key

Headers

x-ws-api-key
string

WattShift API Key

Path Parameters

id
string
required

Body

application/json
temperature
number[]
required
timestamp
string[]
required

Response

201 - undefined